using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using FiltronASP.Helpers.Constants;

namespace FiltronASP.Models.DAO.Interfaces.WIX
{
    /// <summary>
    /// Interfejs dla operacji bazodanowych specyficznych dla tabeli <code>wix_filter_interchanges</code>.
    /// </summary>
    public interface IWixInterchangeDAO : IGenericDAO<WixInterchange, System.Nullable<int>>
    {
        IQueryable<WixInterchange> FindByForeignFilterNameEquals(string filterNumber);
        IQueryable<WixInterchange> FindByForeignFilterName(string filterNumber);
        IQueryable<WixInterchange> FindByForeignFilterNameLimited(string filterNumber);
        IQueryable<WixInterchange> FindByForeignFilterNameLimited(string filterNumber, Constants.TSearchInclusionMode searchMode);
        IQueryable<WixInterchange> FindByForeignFilterNameLimited(string filterNumber, Constants.TSearchInclusionMode searchMode, int limit);
    }
}
